package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterPerguruanTinggi generated by hbm2java
 */
@Entity
@Table(name = "master_perguruan_tinggi", catalog = "ta")
public class MasterPerguruanTinggi implements java.io.Serializable {

	private String idPerguruanTinggi;
	private String namaPerguruanTinggi;
	private String alamatPerguruanTinggi;
	private String telpPerguruanTinggi;
	private Set<MasterFakultas> masterFakultases = new HashSet<MasterFakultas>(0);

	public MasterPerguruanTinggi() {
	}

	public MasterPerguruanTinggi(String idPerguruanTinggi, String namaPerguruanTinggi, String alamatPerguruanTinggi,
			String telpPerguruanTinggi) {
		this.idPerguruanTinggi = idPerguruanTinggi;
		this.namaPerguruanTinggi = namaPerguruanTinggi;
		this.alamatPerguruanTinggi = alamatPerguruanTinggi;
		this.telpPerguruanTinggi = telpPerguruanTinggi;
	}

	public MasterPerguruanTinggi(String idPerguruanTinggi, String namaPerguruanTinggi, String alamatPerguruanTinggi,
			String telpPerguruanTinggi, Set<MasterFakultas> masterFakultases) {
		this.idPerguruanTinggi = idPerguruanTinggi;
		this.namaPerguruanTinggi = namaPerguruanTinggi;
		this.alamatPerguruanTinggi = alamatPerguruanTinggi;
		this.telpPerguruanTinggi = telpPerguruanTinggi;
		this.masterFakultases = masterFakultases;
	}

	@Id

	@Column(name = "idPerguruanTinggi", unique = true, nullable = false, length = 6)
	public String getIdPerguruanTinggi() {
		return this.idPerguruanTinggi;
	}

	public void setIdPerguruanTinggi(String idPerguruanTinggi) {
		this.idPerguruanTinggi = idPerguruanTinggi;
	}

	@Column(name = "namaPerguruanTinggi", nullable = false, length = 100)
	public String getNamaPerguruanTinggi() {
		return this.namaPerguruanTinggi;
	}

	public void setNamaPerguruanTinggi(String namaPerguruanTinggi) {
		this.namaPerguruanTinggi = namaPerguruanTinggi;
	}

	@Column(name = "alamatPerguruanTinggi", nullable = false)
	public String getAlamatPerguruanTinggi() {
		return this.alamatPerguruanTinggi;
	}

	public void setAlamatPerguruanTinggi(String alamatPerguruanTinggi) {
		this.alamatPerguruanTinggi = alamatPerguruanTinggi;
	}

	@Column(name = "telpPerguruanTinggi", nullable = false, length = 20)
	public String getTelpPerguruanTinggi() {
		return this.telpPerguruanTinggi;
	}

	public void setTelpPerguruanTinggi(String telpPerguruanTinggi) {
		this.telpPerguruanTinggi = telpPerguruanTinggi;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterPerguruanTinggi")
	public Set<MasterFakultas> getMasterFakultases() {
		return this.masterFakultases;
	}

	public void setMasterFakultases(Set<MasterFakultas> masterFakultases) {
		this.masterFakultases = masterFakultases;
	}

}
